+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 13
  1. #1
    Forum Newbie
    Using
    AutoCAD 2012
    Join Date
    Nov 2011
    Posts
    2

    Embarrassed How to build 4v geodesic dome in autocad 2012?

    I have to design a 3d model of 4v geodesic dome and I've never ever used 3d feature before and its really urgent. so please can someone provide me with step by step instruction?

    btw I am using Autocad 2012.

  2. #2
    Super Member Bill Tillman's Avatar
    Using
    AutoCAD 2014
    Join Date
    Oct 2008
    Location
    Miami, FL
    Posts
    1,019

    Default

    First off, welcome to the forum. And second, man that's a tall order. Having no 3D experience you're in a world of trouble trying to draw a 4V geodesic dome.

    I helped my son build a real geodesic dome out of paper last year for a school project. Here is a good link for those interested:

    http://www.plunk.org/~grantham/publi...sic_domes.html

    I'm sure there are many ways of doing this. I bet one of the very talented people in this forum could even write a LISP program to create one on the fly. Heck a dome is just basic geometry. But to give step by step instructions and to someone with no 3D experience, that will take some doing.

    If I have time I will try and work on something for you. But I will wager the other smarter folks in the forum will come up with a better solution. I saw a LISP program the other day which will plot all the points on a soccer ball, which is basically a geodesic sphere. If they can do that I'm sure someone could do it for a 4v dome.

    Another quick google search and I found this:

    http://www.freecadapps.com/swdetails...owcolor=ffffcc

    Perhaps someone with more LISP knowledge than I could assist us here. This is a very old LISP routine which comes from 1988 apparently before ACAD brought in it's own GEO command. I have loaded this one but can't seem to run it with the command GEO nor ng3, etc... I am looking for another script if it's available.

    My searches also turned up this one of our very own:

    http://www.cadtutor.net/forum/showth...eodesic-Sphere
    Last edited by Bill Tillman; 17th Nov 2011 at 10:46 am.
    It's deja vu, all over again.

  3. #3
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro 4000, 2GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2014
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    38,404

    Default

    You have an urgent need to both learn AutoCAD 3D and at the same time build this v4 geodesic dome? Would this happen to be a final project of some kind for school?
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge! N-E-S-T-L-E-'S, Nestle's makes the very best......chocolate.

  4. #4
    Super Member Bill Tillman's Avatar
    Using
    AutoCAD 2014
    Join Date
    Oct 2008
    Location
    Miami, FL
    Posts
    1,019

    Default

    I don't know if this OP gave up or what but I found a really cool site which has downloadable DXF files of different domes including a 4v model which he was looking for.

    http://www.geo-dome.co.uk/article.as...=3d_primatives

    If you study one of these models, especially the 4v model you will find that building such a dome is not as easy as one would first think. And how one could reduce the process to a LISP program is daunting to think about. Still I hear it can be done. It's beyond my math skills for the moment.

    Just in case this is a classroom assignment and one would certainly not want to turn in work which was merely copied from the net, here is a really cool tutorial on how to draft a dome, the hard way.

    http://www.uni.edu/darrow/new/geodes...ngs/draft.html

    Laborious but still very educational and that's what it's all about.
    Last edited by Bill Tillman; 18th Nov 2011 at 03:38 pm.
    It's deja vu, all over again.

  5. #5
    Forum Newbie
    Using
    AutoCAD 2012
    Join Date
    Nov 2011
    Posts
    2

    Default

    Thx a liot for the help

  6. #6
    Forum Deity Organic's Avatar
    Discipline
    Civil
    Using
    AutoCAD 2014
    Join Date
    Feb 2009
    Posts
    2,091

    Default

    Where would you typically use one of these domes? Are they simply an artistic roof structure in most instances?

  7. #7
    Super Member Bill Tillman's Avatar
    Using
    AutoCAD 2014
    Join Date
    Oct 2008
    Location
    Miami, FL
    Posts
    1,019

    Default

    The market is very limited. Domes have been around since antiquity and even the geometry to build them was discovered long ago. But I recall there was a boom for them in the 1970's when the Arab oil embargo happened but this was only short lived. I see a dome house every now and then and while they look unique I don't think there is enough asthetic appeal to them for the masses to latch on. And imagine a block where all the homes were domes, I think the neighborhood would be rather bland and have not much in flavor to be sellable.

    Domes are used by the NOAA to cover their doppler radar stations, and of course you've got the big sports areneas which occassionaly place a dome in their design. They could be used for anything from greenhouses to just about anything but the market is not there and I think it has to do with just the basic egg shape that domes are. This is not a pleasing design to most people. Then you've got all your other considerations like windows, drywall...ever try to put a 4x8 sheet of plywood on a dome surface's interior. You end up cutting up a lot of waste and this is why builders hate them as well.

    But a dome gives the largest area that can be covered with the least amount of material and they are very rigid. Still, if the public doesn't like the look, what have you got to sell?
    It's deja vu, all over again.

  8. #8
    Senior Member
    Discipline
    Civil
    Hippe013's Discipline Details
    Discipline
    Civil
    Details
    Land Survey / Civil Engineering
    Using
    Civil 3D 2013
    Join Date
    Feb 2010
    Posts
    141

    Default Answer

    I realize that this is an old post, though I have come across a lisp for building a geodesic dome in ACAD. I had become rather interested in this topic and did a bit of researching. Reply to this post if you still want to know more. Regards!

  9. #9
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro 4000, 2GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2014
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    38,404

    Default

    Sure...I want to know more. Where is this lisp routine you speak of?
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge! N-E-S-T-L-E-'S, Nestle's makes the very best......chocolate.

  10. #10
    Senior Member
    Discipline
    Civil
    Hippe013's Discipline Details
    Discipline
    Civil
    Details
    Land Survey / Civil Engineering
    Using
    Civil 3D 2013
    Join Date
    Feb 2010
    Posts
    141

    Default

    Registered forum members do not see this ad.

    Its a little rough but it works:


    Code:
     
    (defun negval (pnt / )
      (mapcar '- pnt))
     
    (defun vec->pnt (strt norm mag /)
      (mapcar '+ strt (mapcar '(lambda (x) (* mag x))norm ))
      )
    (vec->pnt '(0 0 0) '(1 0 0) 1)
     
     
    (defun normal (p /)
      (mapcar '(lambda (i) (/ i (sqrt (apply '+ (mapcar '* p p))))) p))
     
    (defun face (A B C n / ab ac bc)
      (if (> n 0)
        (progn
          (setq AB (normal (mapcar '+ A B)))
          (setq AC (normal (mapcar '+ A C)))
          (setq BC (normal (mapcar '+ B C)))
          (setq n (1- n))
          (face A AB AC n)
          (face B AB BC n)
          (face C AC BC n)
          (face AB AC BC n)
          )
        (progn
          (vlax-invoke-method *ms* 'add3dface
     (vlax-3d-point (vec->pnt ctr A rad))
     (vlax-3d-point (vec->pnt ctr B rad))
     (vlax-3d-point (vec->pnt ctr C rad))
     (vlax-3d-point (vec->pnt ctr A rad))
     )
          (vlax-invoke-method *ms* 'add3dface
     (vlax-3d-point (vec->pnt ctr (negval A) rad))
     (vlax-3d-point (vec->pnt ctr (negval B) rad))
     (vlax-3d-point (vec->pnt ctr (negval C) rad))
     (vlax-3d-point (vec->pnt ctr (negval A) rad))
     )
          )
        )
      )
     
    (defun c:geo8 ()
      (vl-load-com)
      (setq *ms* (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
      (if (> 0 (setq f (getint "\nEnter nth Order: ")))
        (setq f (- f)))
      (setq ctr (getpoint "\nSelect Center of Sphere: "))
      (setq rad (getreal "\nEnter Radius: "))
     
      (setq pntA '(0 0 1))
      (setq pntB '(0 1 0))
      (setq pntC '(1 0 0))
      (face pntA pntB pntC f)
      (command "array" (ssget "X" ) "" "p" ctr 4 "" "")
      )
    (defun c:geoico ()
      (vl-load-com)
      (setq *ms* (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
      (if (> 0 (setq f (getint "\nEnter nth Order: ")))
        (setq f (- f)))
      (setq ctr (getpoint "\nSelect Center of Sphere: "))
      (setq rad (getreal "\nEnter Radius: "))
     
      (setq x (sqrt (/ (+ 5.0 (sqrt 5.0)) 10.0))) ;these formulas calculate the
      (setq y (sqrt (/ (- 3.0 (sqrt 5.0)) 10.0))) ;vertices of two icosahedral
      (setq z (sqrt 0.2))                ;faces, the first having
      (setq u (sqrt (/ (- 5.0 (sqrt 5.0)) 10.0))) ;vertices (0 0 1), (x y z),
      (setq v (- (* x x)))               ;(u v z), and the second with
      (setq p0 (list 0.0 0.0 1.0))       ;vertices (x y z), (u v z),
      (setq p1 (list x y z))             ;(x -y -z).
      (setq p2 (list u v z))
      (setq p3 (list x (- y) (- z)))
      (face p0 p1 p2 f)
      (face p1 p2 p3 f)
      (command "array" (ssget "X" ) "" "p" ctr 5 "" "")
      )
    This was created with help of a lisp that I found.

    Each order increases the process time by a factor of four.
    Order 0 = Basic Form

    I haven't tried going higher than 5 on the Order.

    Have fun!

Similar Threads

  1. easy way to make a geodesic dome
    By 64lesabre in forum AutoCAD 3D Modelling & Rendering
    Replies: 6
    Last Post: 10th Aug 2012, 11:38 am
  2. Replies: 0
    Last Post: 1st Sep 2011, 04:20 am
  3. Need Help With Geodesic Dome
    By brian nguyen in forum AutoCAD 3D Modelling & Rendering
    Replies: 8
    Last Post: 21st May 2010, 06:28 pm
  4. geodesic dome
    By sagaro in forum AutoLISP, Visual LISP & DCL
    Replies: 2
    Last Post: 26th Jan 2010, 07:16 am
  5. skylight detail for a geodesic dome
    By micks_27986 in forum AutoCAD 3D Modelling & Rendering
    Replies: 4
    Last Post: 10th Feb 2009, 03:07 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts